const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const document_acceptances = sequelize.define(
    'document_acceptances',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

accepted_at: {
        type: DataTypes.DATE,
      
      

      },

ip_address: {
        type: DataTypes.TEXT,
      
      

      },

user_agent: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  document_acceptances.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity
































//end loop



    db.document_acceptances.belongsTo(db.legal_documents, {
      as: 'legal_document',
      foreignKey: {
        name: 'legal_documentId',
      },
      constraints: false,
    });

    db.document_acceptances.belongsTo(db.users, {
      as: 'user',
      foreignKey: {
        name: 'userId',
      },
      constraints: false,
    });

    db.document_acceptances.belongsTo(db.organizations, {
      as: 'organizations',
      foreignKey: {
        name: 'organizationsId',
      },
      constraints: false,
    });




    db.document_acceptances.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.document_acceptances.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return document_acceptances;
};


